<template>
    <div class="md:hidden ml-auto">
        <a href="#" @click.prevent="toggle_menu" class="cursor-pointer relative z-50" :class="is_active ? 'text-white' : ''">
            <i class="fa fa-lg" :class="is_active ? 'fa-times' : 'fa-bars'"></i>
        </a>

        <div class="mobile_menu_content z-10" :class="is_active ? 'active' : ''">
            
            <transition name="fade" mode="out-in">
                <!-- Main menu -->
                <ul v-if="menu == 'main'" :key="'1'" class="flex flex-col space-y-0">
                    <li>
                        <a href="/">Home</a>
                    </li>
                    <li>
                        <a href="/about">About us</a>
                    </li>
                    <li>
                        <a href="#" @click.prevent="go_to_menu('solutions')">
                            Solutions
                            <i class="fa fa-angle-right ml-3 fa-xs ml-auto"></i>
                        </a>
                    </li>
                    <li>
                        <a href="/services">Services</a>
                    </li>
                    <li>
                        <a href="#">Contact us</a>
                    </li>
                </ul>
                <!-- Solutions -->
                <ul v-if="menu == 'solutions'" :key="'2'" class="flex flex-col space-y-0">
                    <li>
                        <a href="#" @click.prevent="go_to_menu('main')">
                            <i class="fa fa-xs fa-angle-left mr-3"></i> Back
                        </a>
                    </li>
                    <li>
                        <a href="/solutions/enterprise-and-business-communications">Enterprise and Business Communications</a>
                    </li>
                    <li>
                        <a href="/solutions/data-center">Data Center Solutions</a>
                    </li>
                    <li>
                        <a href="/solutions/its">ITS</a>
                    </li>
                    <li>
                        <a href="/solutions/software">Software Solutions</a>
                    </li>
                    <li>
                        <a href="/solutions/electronic-security">Electronic Security Solutions</a>
                    </li>
                    <li>
                        <a href="/solutions/cyber-security">Cyber Security</a>
                    </li>
                    <li>
                        <a href="/solutions/access-and-wireless">Access and Wireless</a>
                    </li>
                </ul>
            </transition>

            <p class="text-white mt-7 mb-4 font-bold uppercase md:text-sm lg:text-base">
                <i class="fa fa-phone mr-2 text-red-600"></i>
                Call us: (800) 027 4287
            </p>

            <a href="http://helpdesk.dynacom.services" target="_blank" class="text-white mt-7 font-bold uppercase md:text-sm lg:text-base">
                <i class="fa fa-headset mr-2 text-red-600"></i>
                Customers - Service Ticket
            </a>

            <div>
                <i class="fa fa-globe-americas text-gray-600 mr-2"></i>  
                <a href="locale/en" class="font-bold text-sm text-white">English</a> | 
                <a href="locale/es" class="font-bold text-sm text-white">Español</a>
            </div>

            <p class="text-xs font-bold text-white opacity-50 mt-10 mb-3">
                ©{{ year }}, Dynamic Communications, Rights Reserved.
            </p>

            <a href="/privacy-policy" class="text-xs text-white font-bold">Privacy Policy</a>

        </div>
    </div>
</template>
<script>
    export default {
        data(){
            return {
                is_active: false,
                year: new Date().getFullYear(),
                menu: 'main',
            }
        },
        methods: {
            toggle_menu(){
                let t = this;
                if(t.is_active){
                    t.is_active = false;
                    t.menu = 'main';
                    document.body.classList.remove('overflow-hidden');
                }else{
                    t.is_active = true;
                    window.scrollTo(0,0);
                    document.body.classList.add('overflow-hidden');
                }
            },
            go_to_menu(menu){
                let t = this;
                t.menu = menu;
            }
        }
    }
</script>